=== modified file 'tests/__init__.py'
--- tests/__init__.py	2007-02-03 15:04:56 +0000
+++ tests/__init__.py	2007-03-09 17:47:28 +0000
@@ -17,6 +17,7 @@
 from unittest import TestLoader, TestSuite
 from bzrlib.tests import TestUtil
 
+import os
 
 def test_suite():
     result = TestSuite()
@@ -24,6 +25,10 @@
     loader = TestUtil.TestLoader()
 
     testmod_names = ['test_preferences', 'test_history']
+
+    if os.name == 'nt':
+        testmod_names.append("test_tortoise_bzr")
+
     result.addTest(loader.loadTestsFromModuleNames(["%s.%s" % (__name__, i) for i in testmod_names]))
     return result
 

=== modified file 'tests/test_history.py'
--- tests/test_history.py	2007-02-03 15:04:56 +0000
+++ tests/test_history.py	2007-03-09 17:47:28 +0000
@@ -1,4 +1,4 @@
-# Copyright (C) 2007 Jelmer Venrooij <jelmer@samba.org>
+# Copyright (C) 2007 Jelmer Vernooij <jelmer@samba.org>
 #
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by

=== added file 'tests/test_tortoise_bzr.py'
--- tests/test_tortoise_bzr.py	1970-01-01 00:00:00 +0000
+++ tests/test_tortoise_bzr.py	2007-03-09 17:47:28 +0000
@@ -0,0 +1,28 @@
+# Copyright (C) 2007 Jelmer Venrooij <jelmer@samba.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+
+from bzrlib.tests import TestCaseInTempDir
+from bzrlib import config
+
+import win32com.client as client
+
+class TestsShellExtension(TestCaseInTempDir):
+    def setUp(self):
+        super(TestsUrlHistory, self).setUp()
+		self.ext = client.Dispatch("Bazaar.ShellExtension.ContextMenu")
+
+	def test_get_command_string(self):
+		self.assertEqual(u"Hello from Python!!", self.ext.GetCommandString(1,1))

